from flask import Flask, escape, url_for, request, render_template, redirect, abort, send_from_directory
from lib.functions import manageInsert, manageRequest
import os

app = Flask(__name__)

# 引入跨域访问处理模块
from flask_cors import CORS 
# 取消跨域访问限制,方便本地测试 注册CORS, "/*" 允许访问所有api
CORS(app, resources=r'/*')

@app.route('/')
def base():
    return render_template('index.html')

@app.route('/insert',methods=['POST'])
def insert():
  return manageInsert(request)

# 图标
@app.route('/favicon.ico')
def favicon():
    return send_from_directory(os.path.join(app.root_path, 'static'),'favicon.ico', mimetype='image/vnd.microsoft.icon')


@app.route('/<tail>')
def tail(tail):
  res = manageRequest(tail)
  print(res[0])
  if(res[-1] != 200):
    abort(res[-1])
  else:
    return redirect(res[0])
    

@app.errorhandler(404)
def page_not_found(e):
    return render_template('404.html'), 404

@app.errorhandler(400)
def page_not_found(e):
    return render_template('400.html'), 400

@app.errorhandler(500)
def page_not_found(e):
    return render_template('500.html'), 500

@app.errorhandler(410)
def page_not_found(e):
    return render_template('410.html'), 500

if __name__ == '__main__':  
  app.run(host="0.0.0.0", debug=True, port="80") 